import web_assembly_module from "./Barcode_length.wasm";

export interface Env {
    // Example binding to KV. Learn more at https://developers.cloudflare.com/workers/runtime-apis/kv/
    // MY_KV_NAMESPACE: KVNamespace;
    //
    // Example binding to Durable Object. Learn more at https://developers.cloudflare.com/workers/runtime-apis/durable-objects/
    // MY_DURABLE_OBJECT: DurableObjectNamespace;
    //
    // Example binding to R2. Learn more at https://developers.cloudflare.com/workers/runtime-apis/r2/
    // MY_BUCKET: R2Bucket;
}

//A string, for example, is a 32-bit .length followed by .length 16-bit character codes.
export default {
    async fetch(request: Request, env: Env, ctx: ExecutionContext): Promise<Response> {
        console.log("'request.url': " + request.url);
        return new Promise(result => {
            // (import "env" "abort" (func $~lib/builtins/abort (param i32 i32 i32 i32)))
            WebAssembly.instantiate(web_assembly_module /* import "abort"?*/).then(executable => {
                console.assert(typeof executable.exports.Barcode_length === 'function');
                const pointer = new TextEncoder().encode("4719512002889").buffer; // UTF-8

let x="BOF";
// Essayer avec un 0 pour terminer la string???
                 x=executable.exports.Barcode_length(pointer);

                result(new Response("Ca marche ?" +x));
            }, error => {
                console.log("EEEEEEEEEEEEEEEEE " + error)
            });
        });
    }
}

