import Barcode_checksum from "./Barcode";
import Extract_barcode_from_photography from "./Extract_barcode_from_photography";

/**
 * - Run `wrangler dev ts/index.ts` in terminal to start a development server
 * - Open a browser tab at http://localhost:8787/ to see worker in action
 * - Run `wrangler publish ts/index.ts --name my-worker` to publish worker
 *
 * Learn more at https://developers.cloudflare.com/workers/
 */

export interface Env {
    // Example binding to KV. Learn more at https://developers.cloudflare.com/workers/runtime-apis/kv/
    // MY_KV_NAMESPACE: KVNamespace;
    //
    // Example binding to Durable Object. Learn more at https://developers.cloudflare.com/workers/runtime-apis/durable-objects/
    // MY_DURABLE_OBJECT: DurableObjectNamespace;
    //
    // Example binding to R2. Learn more at https://developers.cloudflare.com/workers/runtime-apis/r2/
    // MY_BUCKET: R2Bucket;
}

export default {
    // Worker’s event handler:
    async fetch(request: Request, env: Env, ctx: ExecutionContext): Promise<Response> {
        console.log("'request.url': " + request.url);
        //const barcode = await Extract_barcode_from_photography();
        return new Response("Ca marche ?"/*+barcode*/);
        //return new Response(Barcode_checksum("4719512002889").toString());
    }
};
